%{?nodejs_find_provides_and_requires}

%global packagename eachr
%global enable_tests 0

Name: nodejs-%{packagename}
Version: 3.2.0
Release: 1%{?dist}.3
Summary: Iterate until function returns false
License: MIT
URL: https://github.com/bevry/eachr
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
Source1: https://github.com/bevry/eachr/blob/v%{version}/source/test.js
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(editions) >= 1.1.1
BuildRequires: npm(editions) < 2.0.0
BuildRequires: npm(typechecker) >= 4.3.0
BuildRequires: npm(typechecker) < 5.0.0
%if 0%{?enable_tests}
BuildRequires: npm(assert-helpers) >= 4.2.0
BuildRequires: npm(assert-helpers) < 5.0.0
BuildRequires: npm(joe) >= 1.6.0
BuildRequires: npm(joe) < 2.0.0
BuildRequires: npm(semver) >= 5.1.0
BuildRequires: npm(semver) < 6.0.0
%endif

%description
Give eachr an item to iterate (array, object or map) and an iterator,
then in return eachr gives iterator the value and key of each item,
and will stop if the iterator returned false.


%prep
%setup -q -n package
cp %{SOURCE1} source
cp %{SOURCE1} es2015


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js es2015 source \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/node --harmony -e "require('editions').requirePackage(process.cwd(), require, 'test.js')"
%endif


%files
%license LICENSE.md
%doc README.md HISTORY.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Sun Sep 25 2016 Oleg Girko <ol@infoserver.lv> - 3.2.0-1
- Initial package.
